<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="css/svg.css">
    <link rel="stylesheet" href="css/matchtree.css">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://d3js.org/d3.v4.js"></script>
    <script src="js/d3.v3.min.js"></script>
    <script src="js/d3.layout.cloud.js"></script>
    <script src="js/modernizr.js"></script>
    <script src="https://d3js.org/d3-scale-chromatic.v1.min.js"></script>



    <title>Euro Cup 2020</title>
</head>

<body>

    <div>

        <div class="container intro pt-4">
            <div class="row pt-5">
                <div class="col-sm word">
                    <script src="../js/word.js"></script>
                </div>
                <div class="col-sm d-flex flex-column">
                    <div class="d-flex justify-content-center">
                        <img src="logo/Eurocup.png" alt="Eurocup" style="width: 200px; height: auto;">
                    </div>

                    <div class="text-center py-4">
                        <h4> Presenting you the in-depth visual analysis of the tournament <br><b>"Euro Cup 2020"</b>
                        </h4>
                        <p><b>Presented By:</b> <br> Pranav Desai (12310109) <br> Parth Shiroya  (21910114) <br>Gadathas Krishna Babu, Rajeshwari (12019442)</p>
                    </div>


                </div>
            </div>
        </div>

        <div class="container overview py-4 my-4">
            <div class="row pt-5">
                <div class="col-sm word d-flex justify-content-center">
                    <div id="wrapper">
                        <div id="title">
                            <h2>Recape Of<br>EURO 2020<h2>
                                    <!-- <div class="large"></div> -->
                        </div>
                        <br><br>
                        <div id="result"></div>
                        <div id="score"></div>
                        <div class="source">
                            <a href="https://www.uefa.com/uefaeuro-2020/">[Source]</a>
                        </div>
                    </div>
                </div>
                <div class="col-sm d-flex flex-column">
                    <div id="chart">
                        <svg id="jojo"></svg>
                    </div>
                </div>
            </div>

        </div>

        <div class="container teamstats pt-4 mt-4">
            <div class="row pt-5 d-flex justify-content-center">
                <div>
                    <button class="btn btn-outline-primary btn-sm mx-2" value="Avg. Possession"
                        onclick="whichData(this.value)">Avg. Possession</button>
                    <button class="btn btn-outline-primary btn-sm mx-2" value="Avg. Passes"
                        onclick="whichData(this.value)">Avg.
                        Passes</button>
                    <button class="btn btn-outline-primary btn-sm mx-2" value="Avg. Pass Accuracy"
                        onclick="whichData(this.value)">Avg. Pass Accuracy</button>
                    <button class="btn btn-outline-primary btn-sm mx-2" value="Avg. Fouls"
                        onclick="whichData(this.value)">Avg.
                        Fouls</button>
                    <button class="btn btn-outline-primary btn-sm mx-2" value="Avg. Yellow Cards"
                        onclick="whichData(this.value)">Avg. Yellow Cards</button>
                    <button class="btn btn-outline-primary btn-sm mx-2" value="Avg. Red Cards"
                        onclick="whichData(this.value)">Avg. Red Cards</button>
                </div>
                <div class="col-sm word">
                    <!-- Create a div where the graph will take place -->
                    <div id="bar"></div>
                </div>
                <div class="col-sm d-flex justify-content-center flex-column">

                    <h1>Average Statistics Of Each Country</h1>
                    <div class="source" style="text-align: center;">
                        <div id = "txxx"></div>
                        <br>
                        <a href="https://www.uefa.com/uefaeuro-2020/">[Source]</a>
                    </div>

                </div>
            </div>
            <script src="js/bar.js"> </script>
        </div>

        <div class="league d-flex justify-content-center py-4 my-4">

            <div>
                <div>
                    <h1>Clubs & League Distribution</h1>
                    <p>The General overview of league and club wise player distribution in tournament</p>
                    <div class="source d-flex justify-content-center">
                        <a href="https://en.wikipedia.org/wiki/UEFA_Euro_2020_squads">[Source]</a>
                    </div>
                </div>
                <svg id="jojo2" width="900" height="900"></svg>
            </div>
            <script src="js/packed_circle.js"></script>

        </div>

        <div class="container rank pt-4 mt-4">
            <div class="row pt-5">
                <div class="col-sm word">
                    <h1>Euro 2020 Power Ranking </h1>
                    <p>This Chart is a comparison of the trend between the power ranking of the team before the
                        tournament start and after the group stage</p>
                        <div class="source d-flex justify-content-center">
                            <a href="https://www.cbssports.com/soccer/news/uefa-euro-2020-power-rankings-a-new-nation-tops-the-list-as-france-england-portugal-fall-short/">[Source]</a>
                        </div>

                </div>
                <div class="col-sm d-flex flex-column " id="lolipop">
                    <script src="js/lolipop.js">
                    </script>
                </div>
            </div>
        </div>

        <div class="container radar pt-4 mt-4">
            <div class="row pt-5">
                <div class="col-sm word">
                    <div id="radarmain">

                        <div id="chart2">

                        </div>
                    </div>
                </div>
                <div class="col-sm d-flex flex-column justify-content-center">

                    <h1>Top Team Statistics</h1>
                    <p>The General statistics of top teams</p>
                    <div class="source d-flex justify-content-center">
                        <a href="https://www.uefa.com/uefaeuro-2020/">[Source]</a>
                    </div>

                </div>
            </div>
            <script src="js/RadarChart.js"></script>

        </div>

        <div class="container line py-4 my-4">
            <div class="row pt-5">
                <div class="col-sm flex-column d-flex justify-content-center">

                    <div>
                        <h1>Top Team and their play style</h1>
                        <p>This chart shows the play style of the team and categorizes the data in two ways.
                            <br> The team is playing aggressive if they take more shots compare to an opponent
                        </p>
                        <div class="d-flex justify-content-center"> 
                            <select id="selectButton" style="width: 100px;"></select>

                        </div>
<br>
                    </div>
                    <div class="source d-flex justify-content-center">
                        <a href="https://www.uefa.com/uefaeuro-2020/">[Source]</a>
                    </div>




                </div>
                <div class="col-sm d-flex flex-column ">

                    <!-- Create a div where the graph will take place -->
                    <div id="line"></div>

                </div>
            </div>
            <script src="js/line.js">

            </script>

        </div>

        <div class="container bubble py-4 my-4">
            <div class=" butoonxx d-flex justify-content-center pt-5 mt-5">
                <button class="btn btn-outline-primary" id="dataset1">Goals</button>
                    <button class="btn btn-outline-primary mx-2" id="dataset2">Pass Accuracy</button>
                    <button class="btn btn-outline-primary mx-2" id="dataset3">Assist</button>
                    <button class="btn btn-outline-primary mx-2" id="dataset4">Balls Recovered</button>
                    <button class="btn btn-outline-primary mx-2" id="dataset5">Saves</button>
                    <button class="btn btn-outline-primary mx-2" id="dataset6">Fouls Committed</button>
            </div>
            <div class="row">
                <div class="col-sm word">
                    
                    <div id="chart3"></div>
                </div>
                <div class="col-sm d-flex flex-column justify-content-center">

                    <h1>Tournament Top Players</h1>
                    <div class="source" style="text-align: center;">
                        <div id = "txxxx"></div>
                        <br>
                        <a href="https://www.uefa.com/uefaeuro-2020/">[Source]</a>
                    </div>


                </div>
            </div>
            <script src="js/bubble.js"></script>

        </div>

        <div class="container donut py-4 my-4">
            <div class="row pt-5">
                <div class="col-sm word">
                    <div>
                        <h1>Goals Vs Time</h1>
                        <p>The General understanding of when the majority of goals scored </p>
                        <div class="source d-flex justify-content-center">
                            <a href="https://www.uefa.com/uefaeuro-2020/">[Source]</a>
                        </div>
                    </div>
                </div>
                <div class="col-sm d-flex flex-column ">
                    <div id="donut"></div>

                </div>
            </div>
            <script src="js/donut.js"></script>

        </div>

        <div class="container venue pt-4">
            <div class="row pt-5">
                <div class="col-sm word" id="venue">
                </div>
                <div class="col-sm d-flex flex-column justify-content-center" style="align-items: center;">
                    <h1>Attendence Distribution</h1>
                        <p>The General understanding of match wise total Attendee </p>
                        <div class="source d-flex justify-content-center">
                            <a href="http://www.soccer-blogger.com/2021/06/22/list-of-euro-2020-attendance-stats-european-championships-2021-crowd-figures-match/">[Source]</a>
                        </div>
                        <br>
                    <div id="tooltipx" style="text-align: center;"></div>
                </div>
            </div>
            <script src="js/venue.js"></script>

        </div>



    </div>

</body>

<script src="../js/jquery-1.9.1.min.js"></script>
<script type="text/javascript">
    Modernizr.load({
        test: Modernizr.svg,
        yep: '../js/matchTree.js',
        nope: ['../js/jquery-1.9.1.min.js', '../js/fallback.js']
    });
</script>

</html>